expat overwriting apache?

Tushar Teredesai tushar at linuxfromscratch.org
Thu Mar 25 06:53:25 PST 2004


Jonas Norlander wrote:

>Apache 2.0.48 is installing these library files:
>
>/usr/lib/libexpat.so.0.1.0
>/usr/lib/libexpat.so.0  -> libexpat.so.0.1.0
>/usr/lib/libexpat.so  -> libexpat.so.0.1.0
>/usr/lib/libexpat.la
>/usr/lib/libexpat.a
>
>And it looks like expat 1.95.7 wants to install these files
>(haven't verified yet):
>
>libexpat.a
>libexpat.la
>libexpat.so -> libexpat.so.0.5.0
>libexpat.so.0 -> libexpat.so.0.5.0
>libexpat.so.0.5.0
>
>Has anyone verified this and/or should it matter if the files 
>installed by apache are overwritten by the files from expat?
>
>  
>
You are correct, it could be a problem. Add --with-expat=/usr to the 
configure options for apache.

-- 
Tushar Teredesai
   http://linuxfromscratch.org/~tushar/
   http://www.geocities.com/tushar/




More information about the blfs-dev mailing list